@charset "utf-8";

/* 
投稿日、更新日以外の全ての個別ページ用スタイルが含まれています
#記事部分
#表
#目次
*/

/* 記事部分 */
.animo-post-page .animo-post p a {
  color: #086ec9;
}
.animo-post-page .animo-post p a:hover,
.animo-post-page .animo-post p a:active {
  color: #b7b7b6;
  transition: 0.3s ease-in;
}
.container--post {
  background-color: #fff;
  min-width: 300px;
  width: 100%;
  padding: 40px 18px;
  margin: 0 auto;
}

.container--post h1,
.container--post h2,
.container--post h3 {
  letter-spacing: 0.1em;
  font-weight: 500;
  line-height: normal;
  color: #515151;
}

.container--post h1,
.container--post h2 {
  font-size: 1.9rem;
}

.container--post h2 {
  border-radius: 3px;
  text-shadow: 0 0 5px white;
  padding: 0.4em 0.8em;
  background: repeating-linear-gradient(
    -45deg,
    #ffffff,
    #f2f0e8 3px,
    #f2f0e8 3px,
    #e9f4ff 7px
  );
}

.container--post h3 {
  font-size: 1.65rem;
  padding-bottom: 0.2em;
  border-bottom: 4px dotted #e4ccb0;
}
.container--post h4 {
  font-weight: bold;
}
.container--post h2,
.container--post h3,
.container--post h4 {
  margin-bottom: 40px;
}
.container--post h4 {
  margin-top: 36px;
  margin-bottom: 16px;
}
.wp-block-image img {
  margin-top: 40px;
} /*WPのclassを利用*/
.animo-post .img-eyecatch {
  margin-top: 4px;
}
.animo-post {
  color: #515151;
}
.animo-post > p {
  margin-top: 40px;
}
.animo-post h4 + p {
  margin-top: 0;
}
.first-p {
  margin-top: 20px;
}
.animo-post .toc,
.container--post h2,
.container--post h3,
.animo-post table,
.animo-post .tags {
  margin-top: 50px;
}
.container--post h1 {
  margin: 0;
}
.animo-post .tags {
  padding-top: 20px;
  border-top: 1px solid #e4e4e4;
}

@media screen and (min-width: 600px) {
  .container--post {
    width: 100%;
    max-width: 680px;
    padding: 40px 60px;
  }
  .first-p {
    margin-top: 40px;
  }
}

@media screen and (min-width: 800px) {
  .post-page .animo-container {
    margin-top: 80px;
  }
  .container--post {
    width: 100%;
    max-width: 880px;
    padding: 40px 60px;
  }

  .container--post h1,
  .container--post h2 {
    font-size: 2.6rem;
  }

  .container--post h3 {
    font-size: 2.4rem;
  }
}

/* 表 */
.animo-post-page table {
  color: #515151;
  width: 100%;
  border-collapse: collapse;
  text-align-last: left;
  font-size: 1.4rem;
}
.table__row {
  display: flex;
  flex-direction: column;
}
.table__title,
.table__text {
  width: 100%;
  border: 1px solid #e4e4e4;
  padding: 0.75em 1em;
}
.table__title {
  background-color: #f5f5f5;
  font-weight: 400;
}
.table__text {
  background-color: #fff;
	word-wrap: break-word;
	overflow-wrap: break-word;
	white-space: normal;
}
.table__text--url {
  padding: 1em;
}
.animo-post-page table a {
  color: #086ec9;
}

@media screen and (min-width: 600px) {
  .animo-post-page table {
    font-size: 1.6rem;
  }
  .table__row {
    flex-direction: row;
  }
  .table__title {
    width: 30%;
  }
  .table__text {
    width: 70%;
  }
}

/* 目次 */
.toc {
  color: #515151;
  border: 3px solid #e4ccb0;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1.6em 1.6em 2.2em;
}
.toc__title {
  color: #e4ccb0;
  font-size: 2.4rem;
  font-weight: 500;
  margin-bottom: .95em;
  padding-left: calc(24px + 0.32em);
  line-height: 1.6em;
  background-image: url(/wp-content/themes/animoportfolio-WP-local/dist/img/icon-book.svg);
  background-position: left 0px top 0.3em;
  background-repeat: no-repeat;
  background-size: 24px 27px;
}
.toc ol {
  list-style-type: decimal;
  display: flex;
  flex-direction: column;
  gap: .75em;
  margin-left: 2em;
}
.toc li::marker {
  color: #e4ccb0;
  font-weight: 500;
}
.toc .parent {
  font-size: 1.6rem;
}
.toc .children {
  font-size: 1.4rem;
  padding-left: 1.3em;
  margin-top: 0.3em;
}
.toc .children > li {
  display: flex;
  position: relative;
}
.toc .children > li > .icon-circle-list-child-before {
  position: absolute;
  top: 0.89em;
  left: -0.89em;
  width: 6px;
  height: 6px;
  border-radius: 100%;
  background: #e4ccb0;
}
.toc .children > li + .toc .children > li {
  margin-top: 0.1em;
}

@media screen and (min-width: 800px) {
  .toc__title {
    font-size: 2.6rem;
    padding-left: calc(26px + 0.32em);
    background-size: 26px 30px;
  }
  .toc .parent {
    font-size: 1.8rem;
  }
  .toc .children {
    font-size: 1.6rem;
    padding-left: 1.3em;
  }
  .toc .children > li > .icon-circle-list-child-before {
    top: 0.82em;
    left: -1em;
    width: 7px;
    height: 7px;
  }
}
